<?
/*--------------------------------------------+
| phpBB to PHP-Fusion database conversion     |
|---------------------------------------------|
| author: Tony Fontaine                       |
|       2005 Project Wish Development        |
| site: http://www.projectwish.com            |
| tonyfontaine@knightraven.net                |
|---------------------------------------------|
| This conversion program was written based   |
| on a portion of code released by Nick Jones |
| at http://www.php-fusion.co.uk to help those|
| who need to convert phpBB database files    |
| into a php-fusion friendly database.        |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
require_once "maincore.php";
require_once "subheader.php";
require_once "side_left.php";
/// <<<EOF 
/// setings
$phpbb_prefix = ""; // bv "phpbb_"
die("you have not adapted this file pls do"); // REMOVE AFTER EDIT phpbb_prefix else it won't work
/// EOF

set_time_limit ( 300 ); //set a higher timeout timelimit for this script for lager files that will take longer than 30 seconds to process


opentable("phpBB to PHP-Fusion Conversion for php-fusion v6*");

	// phpBB Database Values for future programming for dual database conversion
	$result2 = dbquery("TRUNCATE ".$db_prefix."users ");
	echo "<table align='center' width='90%' cellspacing='0'>
		<tr>
	<td align='left' class='tbl2'>User Database Conversion</td>
	</tr><tr><td><br>";

	$result = dbquery("SELECT user_id, username, user_password, user_email,	user_viewemail, user_from, user_icq, user_msnm, user_yim, user_website, user_avatar, user_sig, user_posts, user_regdate, user_lastvisit, user_level	FROM ".$phpbb_prefix."users WHERE user_id > 0");
	$x = 0;
	while ($data = dbarray($result)) {   //loops through the phpbb database
		$x++;
		$olduserlevel = $data['user_level'];
		$userlevel = 101;  //sets the variable to standard user before checking for admin status
		$userrights = "";
		$status = "User";

		if ($olduserlevel == "1"){  //checks a user's access level from phpbb and sets it accordingly for fusion
			$userlevel = 103;  		//if they were admin in phpbb this should make them admin in fusion
			$userrights = "A.AC.AD.B.C.CP.DB.DC.D.FQ.F.IM.I.IP.M.N.P.PH.PI.PO.S.SL.S1.S2.S3.S4.S5.S6.S7.SU.UG.U.W.WC";
			$status = "Admin";
		}

		//list of variable set to be written to the new fusion database
		$user_id = $data['user_id'];
		$user_name = $data['username'];
		$user_password = $data['user_password'];
		$user_location = addslash($data['user_from']);
		$user_icq = $data['user_icq'];
		$user_msn = $data['user_msnm'];
		$user_yahoo = $data['user_yim'];
		$user_web = $data['user_website'];
		$user_avatar = $data['user_avatar'];
		$user_sig = addslash($data['user_sig']);
		$user_joined = $data['user_regdate'];
		$user_email = addslash($data['user_email']);
		$user_posts = $data['user_posts'];
		$user_rights = $userrights;
		$user_level  = $userlevel;

		// writes the variables and other info into the fusion users database for each user
		$result2 = dbquery("INSERT INTO ".$db_prefix."users VALUES(
			'$user_id', '$user_name', '$user_password', '$user_email', '1', '$user_location', '0000-00-00', '', '$user_icq', '$user_msn', '$user_yahoo', '$user_web', 'Default', '0', '$user_avatar',
			'$user_sig', '$user_posts', '$user_joined', '0', '0.0.0.0', '$user_rights', '', '$user_level', '0'
		)");

	}
	echo $x." users were converted. </td></tr></table><br>";
	
	////////////////////////////////////  Post Conversions//////////////////////////////////
	
	/// convert all forum info

// clean out old forums
$result = dbquery("TRUNCATE ".$db_prefix."forums");
$result = dbquery("TRUNCATE ".$db_prefix."posts");
$result = dbquery("TRUNCATE ".$db_prefix."threads");

// define categories

$result = dbquery("SELECT cat_id, cat_title, cat_order FROM ".$phpbb_prefix."categories ORDER BY cat_id ASC");
echo "<table align='center' width='90%' cellspacing='0'>
		<tr>
	<td align='left' class='tbl2'>Category Database Conversion</td>
	</tr><tr><td><br>";
	$x = 0;
	while ($data = dbarray($result)) {   //loops 
		
		$x++;
		$forum_id = $data['cat_id'];
		$forum_cat = 0;
		$forum_name = addslash($data['cat_title']);
		$forum_order = $data['cat_order'] / 10;
		$forum_description = "";
		$forum_moderators = "";
		$forum_access = 0;
		$forum_posting = 0;
		$forum_lastpost = 0;
		$forum_lastuser = 0;
		
		$result2 = dbquery("INSERT INTO ".$db_prefix."forums VALUES('$forum_id', '$forum_cat', '$forum_name', 
		'$forum_order', '', '', '$forum_access', '$forum_posting', 
		'$forum_lastpost', '$forum_lastuser'
		)");
	}	
	echo $x." categories were added to the database. </td></tr></table><br>";
	
	
// define forum topics
$result = dbquery("SELECT forum_id, cat_id, forum_name, forum_order, forum_desc, auth_view, auth_post, forum_last_post_id
	 FROM ".$phpbb_prefix."forums ORDER BY forum_id ASC");
echo "<table align='center' width='90%' cellspacing='0'>
		<tr>
	<td align='left' class='tbl2'>Forum Database Conversion</td>
	</tr><tr><td><br>";
	$y = $x+1;
	$x = 0;
	while ($data = dbarray($result)) {   //loops 
		
		$x++;
		$oldforum_id = $data['forum_id'];
		$forum_id = $oldforum_id + $y;
		$forum_cat = $data['cat_id'];
		$forum_name = addslash($data['forum_name']);
		$forum_order = $data['forum_order'] / 10;
		$forum_description = addslash($data['forum_desc']);
		$forum_moderators = "";
		$forum_access = 0;
		$forum_posting = 0;
		$forum_lastpost = "";
		$forum_lastuser = "";
		
		$forum_lastid = $data['forum_last_post_id'];
		
		$result2 = dbquery("SELECT post_time, poster_id FROM ".$phpbb_prefix."posts WHERE post_id = '$forum_lastid' ");
			$data2 = dbarray($result2);
			$forum_lastpost = $data2['post_time'];
			$forum_lastposter = $data2['poster_id'];

		
		$result3 = dbquery("INSERT INTO ".$db_prefix."forums VALUES('$forum_id', '$forum_cat', '$forum_name', 
		'$forum_order', '$forum_description', '', '$forum_access', '$forum_posting', '$forum_lastpost', '$forum_lastposter'
		)");
		
	}	
	echo $x." forums were added to the database. </td></tr></table><br>";
		
// convert the forum text/posts over

$result = dbquery("SELECT post_id, topic_id, forum_id, poster_id, post_time, 
poster_ip, post_username, enable_smilies, enable_sig, post_edit_time
 FROM ".$phpbb_prefix."posts ORDER BY post_id ASC");

echo "<table align='center' width='90%' cellspacing='0'>
		<tr>
	<td align='left' class='tbl2'>Forum Text Database Conversion</td>
	</tr><tr><td><br>";
	$x = 0;
	while ($data = dbarray($result)) {   //loops 
		
		$x++;
		$post_id = $data['post_id'];
		$topic_id = $data['topic_id'];
		$oldforum_id = $data['forum_id'];
		$forum_id = $oldforum_id + $y;
		$poster_id = $data['poster_id'];
		$post_time = $data['post_time'];
		$poster_ip = $data['poster_ip'];
		$post_username = $data['post_username'];
		$enable_smilies = $data['enable_smilies'];
		$enable_sig = $data['enable_sig'];
		$post_edit_time = $data['post_edit_time'];

		$result2 = dbquery("SELECT post_id, post_subject, post_text FROM ".$phpbb_prefix."posts_text WHERE post_id = '$post_id' ORDER BY post_id ASC");

		$data2 = dbarray($result2);
		
		$post_subject = addslash($data2['post_subject']);
		$post_text = addslash($data2['post_text']);

		$result3 = dbquery("INSERT INTO ".$db_prefix."posts VALUES('$forum_id', '$topic_id', '$post_id',
		'$post_subject', '$post_text', '$enable_sig', '$enable_smilies', '$poster_id', '$post_time',
		'', '$post_edit_time',''
		)");
	}
	echo $x." posts were converted. </td></tr></table><br>";

// converts the thread topics over

$result = dbquery("SELECT forum_id, topic_id, topic_poster, topic_views, topic_title, topic_last_post_id, topic_type, topic_status
 FROM ".$phpbb_prefix."topics ORDER BY forum_id ASC");

echo "<table align='center' width='90%' cellspacing='0'>
		<tr>
	<td align='left' class='tbl2'>Forum Thread Database Conversion</td>
	</tr><tr><td><br>";
	$x = 0;
	while ($data = dbarray($result)) {   //loops 
		
		$x++;

		$oldforum_id = $data['forum_id'];
		$forum_id = $oldforum_id + $y;
		$thread_id = $data['topic_id'];
		$thread_subject = addslash($data['topic_title']);		
		$thread_author = $data['topic_poster'];
		$thread_views = $data['topic_views'];
		$sticky = $data['topic_type'];
		if ($sticky != 1){
			$sticky = 0;
		}
		$locked = $data['topic_status'];
		if ($locked != 1){
			$locked = 0;
		}

		$forum_lastid = $data['topic_last_post_id'];
		
		$result2 = dbquery("SELECT post_time, poster_id FROM ".$phpbb_prefix."posts WHERE post_id = '$forum_lastid' ");
			$data2 = dbarray($result2);
			$thread_lastpost = $data2['post_time'];
			$thread_lastuser = $data2['poster_id'];

		$result3 = dbquery("INSERT INTO ".$db_prefix."threads VALUES('$forum_id', '$thread_id', '$thread_subject',
		'$thread_author', '$thread_views', '$thread_lastpost', '$thread_lastuser', '$sticky', '$locked'
		)");
}
	echo $x." threads were converted. </td></tr></table><br>";

// converts private messages over
$result = dbquery("TRUNCATE ".$db_prefix."messages");
$result = dbquery("SELECT privmsgs_id, privmsgs_subject, privmsgs_type, privmsgs_from_userid, privmsgs_to_userid, privmsgs_date, privmsgs_enable_smilies
 FROM ".$phpbb_prefix."privmsgs ORDER BY privmsgs_id ASC");

echo "<table align='center' width='90%' cellspacing='0'>
		<tr>
	<td align='left' class='tbl2'>Private Messages Database Conversion</td>
	</tr><tr><td><br>";
	$x = 0;
	while ($data = dbarray($result)) {   //loops 
		
		$x++;

		$message_id = $data['privmsgs_id'];
		$message_to = $data['privmsgs_to_userid'];
		$message_from = $data['privmsgs_from_userid'];		
		$message_subject = $data['privmsgs_subject'];
		$message_subject = addslash($message_subject);
		$message_smileys = $data['privmsgs_enable_smilies'];
		$message_read = $data['privmsgs_type'];
		$message_datestamp = $data['privmsgs_date'];
		
		$result2 = dbquery("SELECT privmsgs_text FROM ".$phpbb_prefix."privmsgs_text WHERE privmsgs_text_id = '$message_id' ");
			$data2 = dbarray($result2);
			$message_message = $data2['privmsgs_text'];
			$message_message = addslash($message_message);
		
		$result3 = dbquery("INSERT INTO ".$db_prefix."messages VALUES('$message_id', '$message_to', '$message_from', '$message_subject', '$message_message', '$message_smileys', '$message_read', '$message_datestamp','0')");
}
	echo $x." private messages were converted. </td></tr></table><br>";
	
closetable();

require "side_right.php";
require "footer.php";
?>